<template>
    <div class="view">
        <div class="message">
            This simple application demonstrates what you can do with <a href="/">Mind API</a>
        </div>
        <button class="button" @click="createConference">Create a media room</button>
    </div>
</template>

<script setup>

    import { useRouter } from "vue-router";

    import MindSDK from "mind-sdk-web";
    import MindAPI from "./MindAPI";

    const CONFERENCE_NAMES = [ "Cassiopeia", "Andromeda", "Taurus", "Scorpius", "Auriga", "Orion", "Hydrus", "Centaurus", "Draco", "Lyra" ];

    const router = useRouter();

    const createConference = () => {
        MindAPI.createConference(CONFERENCE_NAMES[Math.floor(Math.random() * CONFERENCE_NAMES.length)], MindSDK.ConferenceLayout.MOSAIC).then((conferenceID) => {
            router.push(conferenceID);
        }).catch((error) => {
            alert("Can't create conference: " + error);
        });
    }

</script>

<style scoped>

    .view {
        width: 100%;
        height: 100%;
        padding: 90px;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        background: #fff;
        color: #666;
        text-align: center;
    }

    .message {
        font-size: 2em;
    }

    .button {
        border: none;
        cursor: pointer;
        font-size: inherit;
        padding: 15px 30px;
        outline: 0;
        text-transform: uppercase;
        background-color: #f44336;
        color: white;
        font-weight: bolder;
        margin-top: 30px;
    }


</style>